<?xml version="1.0" encoding="utf-8"?>
<Keyboard xmlns:android="http://schemas.android.com/apk/res/android">

    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.45%"
        android:keyHeight="50dp"
        android:rowEdgeFlags="top">
        <Key
            android:codes="49"
            android:keyEdgeFlags="left"
            android:keyLabel="1" />
        <Key
            android:codes="50"
            android:keyLabel="2" />

        <Key
            android:codes="51"
            android:keyLabel="3" />
        <Key
            android:codes="52"
            android:keyLabel="4" />
        <Key
            android:codes="53"
            android:keyLabel="5" />

        <Key
            android:codes="54"
            android:keyLabel="6" />

        <Key
            android:codes="55"
            android:keyLabel="7" />
        <Key
            android:codes="56"
            android:keyLabel="8" />
        <Key
            android:codes="57"
            android:keyLabel="9" />
        <Key
            android:codes="48"
            android:keyEdgeFlags="right"
            android:keyLabel="0" />
    </Row>
    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.444444%"
        android:keyHeight="50dp">
        <Key
            android:codes="64"
            android:horizontalGap="5.5%"
            android:keyEdgeFlags="left"
            android:keyLabel="\@" />
        <Key
            android:codes="35"
            android:keyLabel="#" />
        <Key
            android:codes="36"
            android:keyLabel="\$" />

        <Key
            android:codes="37"
            android:keyLabel="%" />

        <Key
            android:codes="38"
            android:keyLabel="&amp;" />

        <Key
            android:codes="45"
            android:keyLabel="-" />

        <Key
            android:codes="43"
            android:keyLabel="+" />

        <Key
            android:codes="40"
            android:keyLabel="(" />
        <Key
            android:codes="41"
            android:keyEdgeFlags="right"
            android:keyLabel=")" />
    </Row>
    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.5%"
        android:keyHeight="50dp">

        <Key
            android:codes="-360"
            android:isModifier="true"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="left"
            android:keyLabel="more" />

        <Key
            android:codes="42"
            android:keyLabel="*" />


        <Key
            android:codes="34"
            android:keyLabel="&#034;" />

        <Key
            android:codes="39"
            android:keyLabel="'" />

        <Key
            android:codes="58"
            android:keyLabel=":" />

        <Key
            android:codes="59"
            android:keyLabel=";" />

        <Key
            android:codes="33"
            android:keyLabel="!" />

        <Key
            android:codes="63"
            android:keyLabel="\?" />
        <!--delete-->
        <Key
            android:codes="-5"
            android:isModifier="true"
            android:isRepeatable="true"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="right" />
    </Row>

    <Row
        android:horizontalGap="0.5%"
        android:keyWidth="9.5%"
        android:keyHeight="50dp"
        android:rowEdgeFlags="bottom">

        <Key
            android:codes="-2"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="left"
            android:keyLabel="ABC" />

        <Key
            android:codes="44"
            android:keyLabel="," />

        <Key
            android:codes="95"
            android:keyLabel="_" />
        <Key
            android:codes="32"
            android:keyWidth="29.5%"
            android:keyLabel="English" />

        <Key
            android:codes="47"
            android:keyLabel="/" />

        <Key
            android:codes="46"
            android:keyLabel="." />


        <Key
            android:codes="-4"
            android:keyWidth="14.25%"
            android:keyEdgeFlags="right"
            android:keyLabel="Done" />
    </Row>

</Keyboard>